using System.Windows.Forms;
using FastReport.Utils;

namespace FastReport.Dialog
{
    partial class CheckBoxControl
    {
        #region Protected Methods

        /// <inheritdoc/>
        protected override SelectionPoint[] GetSelectionPoints()
        {
            if (CheckBox.AutoSize)
                return new SelectionPoint[] { new SelectionPoint(AbsLeft - 2, AbsTop - 2, SizingPoint.None) };
            return base.GetSelectionPoints();
        }
        #endregion

    }
}
